package com.jz.dmp.modules.service;

import com.jz.dmp.modules.model.DmpTableColumn;

import java.util.List;

/**
 * 项目表字段(DmpTableColumn)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-23 16:34:56
 */
public interface DmpTableColumnService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    DmpTableColumn queryById(Integer id);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<DmpTableColumn> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param dmpTableColumn 实例对象
     * @return 实例对象
     */
    DmpTableColumn insert(DmpTableColumn dmpTableColumn);

    /**
     * 修改数据
     *
     * @param dmpTableColumn 实例对象
     * @return 实例对象
     */
    DmpTableColumn update(DmpTableColumn dmpTableColumn);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

}